--- title: "既存の組織に新しいユーザーを追加する" url: https://docs.catalyst.zoho.com/ja/api/code-reference/cloud-scale/authentication/add-user-to-existing-org/ description: "このAPIを使用すると、Catalyst Authenticationを通じて新しい組織を作成せずに、既存の組織に新しいエンドユーザーを追加できます。" last_updated: 2026-03-05T06:13:24Z service: Cloud Scale type: api --- # 既存の組織への新規ユーザーの追加 ### 説明 このAPIを使用すると、新しい組織を作成せずに、既存の組織に新しいエンドユーザーを追加できます。ユーザーを追加する組織の`[**ZAAID**](https://docs.catalyst.zoho.com/ja/cloud-scale/help/authentication/user-management/users/introduction/)`を指定することで実行できます。ユーザーの組織は、アカウントに関連付けられた後は変更できません。 ユーザーがサインアップすると、[`ZUID`および`User ID`](https://docs.catalyst.zoho.com/ja/cloud-scale/help/authentication/user-management/users/introduction/)などの一意の識別値が作成されます。 ### リクエスト詳細 #### リクエストURL `POST` {api-domain}/baas/v1/project/{project_id}/project-user - **api-domain** (URL): Catalyst APIにアクセスするためのDC固有ドメイン - **project_id** (Numerical): プロジェクトの[一意のID](https://docs.catalyst.zoho.com/ja/getting-started/set-up-a-catalyst-project/general-settings/) #### リクエストヘッダー **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **任意のヘッダー** **CATALYST-ORG:** {org_id} **Environment:** Development #### スコープ ZohoCatalyst.projects.users.CREATE #### リクエストJSONプロパティ - **platform_type** (string, mandatory): 許容値: `web`、`android`、`ios` - **redirect_url** (string, optional): ユーザーがアプリケーションにサインアップした後にリダイレクトされるURL 最大サイズ: 200 - **user_details** (json, mandatory): ユーザーの詳細を含むJSON - - **first_name** (string, optional): ユーザーの名 最大サイズ: 100 - - **last_name** (string, mandatory): ユーザーの姓 最大サイズ: 100 - - **email_id** (string, mandatory): ユーザーのメールアドレス - - **ZAAID** (string, mandatory): ユーザーが所属する組織の一意の識別子 ### レスポンス詳細 レスポンスには、`data`キーに追加されたユーザーの詳細が含まれ、生成された`zaid`、`user_id`、`org_id`などのメタデータおよび識別値が含まれます。 **リクエスト例** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3000000002001/project-user \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: application/json" \ -d '{ "user_details":{ "first_name":"John", "last_name":"Winchester", "email_id":"john.w@zylker.com", "zaaid":4567899 }, "redirect_url": "https://logistics.zylker.com/app/index.html", "platform_type":"web" }' ``` **レスポンス例** ```json { "status": "success", "data": { "zaid": 1011481670, "user_details": { "user_id": 671930400, "user_type": "App User", "zuid": 3000000006001, "zaaid": 1011520995, "status": "ACTIVE", "is_confirmed": true, "email_id": "john.w@zylker.com", "first_name": "John", "last_name": "Winchester", "created_time": "May 13, 2019 09:16 PM", "modified_time": "May 13, 2019 09:16 PM", "invited_time": "May 13, 2019 09:16 PM", "role_id": 3000000005015 }, "redirect_url": "https://logistics.zylker.com/app/index.html", "platform_type": "web", "org_id": 1011520995 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } ``` ### SDKドキュメント [Add New User to Existing Org- Java SDK](https://docs.catalyst.zoho.com/ja/sdk/java/v1/cloud-scale/authentication/add-new-user-to-existing-org/) [Add New User to Existing Org- Node.js SDK](https://docs.catalyst.zoho.com/ja/sdk/nodejs/v2/cloud-scale/authentication/add-new-user-to-existing-org/) [Add New User to Existing Org- Python SDK](https://docs.catalyst.zoho.com/ja/sdk/python/v1/cloud-scale/authentication/add-new-user-to-existing-org/)